SIMATIC S7 MatLab Toolbox

Public Member Functions | Public Attributes | List of all members
PlcAddress Class Reference

Represents an address which refers to a specific data area stored within a programmable logic controller (PLC). More...

Inheritance diagram for PlcAddress:

## Public Member Functions
function | PlcAddress (in operand, in rawType, in byteNumber, in bitNumber)
| Initializes a new instance of the PlcAddress class using the specified operand, rawType and byteNumber. More...
function get | BitNumber (in this)
| Gets the bit number part of the address, which defines to which bit the address refers.
function get | ByteNumber (in this)
| Gets the byte number part of the address, which defines to which byte the address refers.
function get | OperandNumber (in this)
| Gets the operand number part of the address, which defines to which operand the address refers.
function get | OperandType (in this)
| Gets the type of operand to which the address refers.
function get | RawType (in this)
| Gets the raw type of to which the address refers.
function get | Value (in this)
| Gets the string representation of the address.

## Public Attributes
Property | BitNumber
| Gets the bit number part of the address, which defines to which bit the address refers. The number indicating to which specific bit the address refers or -1 if PlcRawType is not equals to PlcRawType.Bit.
Property | ByteNumber
| Gets the byte number part of the address, which defines to which byte the address refers. The number indicating to which specific byte the address refers.
Property | OperandNumber
| Gets the operand number part of the address, which defines to which operand the address refers. The number indicating to which specific operand the address refers or -1 if PlcOperandType is not equals PlcOperandType.DataBlock.
Property | OperandType
| Gets the type of operand to which the address refers. One of the members defined by the PlcOperandType enumeration. Which specifies the type of operand to which the address refers.
Property | RawType
| Gets the raw type of to which the address refers. One of the members defined by the PlcRawType enumeration. Which specifies the type to which the address refers.
Property | Value
| Gets the string representation of the address. A string that contains the address.

## Detailed Description

Represents an address which refers to a specific data area stored within a programmable logic controller (PLC).

## Constructor & Destructor Documentation

## ◆ PlcAddress()

function PlcAddress::PlcAddress | ( | in | operand,
|  | in | rawType,
|  | in | byteNumber,
|  | in | bitNumber
| ) |  |

Initializes a new instance of the PlcAddress class using the specified operand, rawType and byteNumber.

Parameters

  operand | The PlcOperand to that the new PlcAddress refers.
  rawType | The PlcRawType to that the new PlcAddress refers.
  byteNumber | The number of the byte to that the new PlcAddress refers.
  bitNumber | The number of the bit to that the new PlcAddress refers.

Errors

- Specifing a rawType equals to PlcRawType.Bit requires a bit number.
- The byteNumber or bitNumber is out of the bounds defined by MinByteNumber, MaxByteNumber, MinBitNumber or MaxBitNumber.

The documentation for this class was generated from the following file:

- PlcAddress.m